%define upstream_name    Dist-Zilla-PluginBundle-ROKR
%define upstream_version 0.0019

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Copy README after building (for SCM inclusion, etc.)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Identity)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::CopyReadmeFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Tag)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::PluginBundle::Basic)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
'@ROKR::Basic' - the Dist::Zilla::PluginBundle::ROKR::Basic manpage

This is an enhancement on the @Basic bundle (the
Dist::Zilla::PluginBundle::Basic manpage), specifically:

    @Basic (without Readme)
    CopyReadmeFromBuild
    DynamicManifest
    SurgicalPkgVersion
    SurgicalPodWeaver

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.900-10.mga8
+ Revision: 1494194
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.900-9.mga7
+ Revision: 1267501
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.900-8.mga6
+ Revision: 1026065
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.1.900-7.mga6
+ Revision: 970342
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.1.900-6.mga6
+ Revision: 885994
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 0.1.900-5.mga5
+ Revision: 747034
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.900-3.mga4
+ Revision: 511293
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.900-2.mga3
+ Revision: 366682
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.0019

* Sat Feb 26 2011 jquelin <jquelin> 0.1.800-1.mga1
+ Revision: 60608
- update to 0.0018

* Wed Jan 26 2011 jquelin <jquelin> 0.1.200-1.mga1
+ Revision: 41102
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-ROKR

